#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(.gnu.linkonce.this_module) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

static const struct modversion_info ____versions[]
__used __section(__versions) = {
	{ 0x1949d08b, "module_layout" },
	{ 0xbc31d67, "sock_diag_unregister" },
	{ 0xa94c470a, "sock_diag_register" },
	{ 0x8bcb3205, "smc_proto6" },
	{ 0x8e342a0d, "smc_proto" },
	{ 0xef2993f4, "_raw_read_unlock" },
	{ 0x32ae5741, "_raw_read_lock" },
	{ 0x9217feb2, "sock_i_ino" },
	{ 0x51065840, "from_kuid_munged" },
	{ 0x228a8a44, "sock_i_uid" },
	{ 0xc1721368, "skb_trim" },
	{ 0xadc2ce81, "nla_put" },
	{ 0x1fbed1a4, "sock_diag_save_cookie" },
	{ 0xdacf476a, "__nlmsg_put" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0xeacc0c0b, "__netlink_dump_start" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xbdfb6dbb, "__fentry__" },
};

MODULE_INFO(depends, "smc");


MODULE_INFO(srcversion, "87BD9A5BB12A255B36A9594");
